#include <stdint.h>
#include <stdlib.h>
#include <avr/wdt.h>
#include <util/delay.h>

#include "key_functions.h"

	void init(void);

/**
	Initialisiert IO-Ports

**/
void init(void)
{

	PORT_LC_Switch = 0xFF;	//Pullups an Tasten aktivieren

	PORT_LC_Clock = 0xFF;	//Clock - Pegel auf High (noch Pullups)
	PORT_LC_Data = 0xFF;	//Data - Pegel auf High (noch Pullups)

	DDR_LC_Clock = 0xFF;	//Clock - Port als Ausgang
	DDR_LC_Data = 0xFF;		//Data - Port als Ausgang
}

int main(void){
	init();




	while(1)
	{
		//Testdaten

		//RGB-Farbe setzen
		sendByteToKey(10, COMM_SET_RGB_COLOR);
		sendByteToKey(10, 0x00);
		sendByteToKey(10, 0x00);
		sendByteToKey(10, 0x00);
		sendByteToKey(10, COMM_END_TRANSMISSION);

		_delay_ms(500);

		//RGB-Farbe setzen
		sendByteToKey(10, COMM_SET_RGB_COLOR);
		sendByteToKey(10, 0x7F);
		sendByteToKey(10, 0x00);
		sendByteToKey(10, 0x00);
		sendByteToKey(10, COMM_END_TRANSMISSION);

		_delay_ms(500);

		//RGB-Farbe setzen
		sendByteToKey(10, COMM_SET_RGB_COLOR);
		sendByteToKey(10, 0x7F);
		sendByteToKey(10, 0x7F);
		sendByteToKey(10, 0x00);
		sendByteToKey(10, COMM_END_TRANSMISSION);

		_delay_ms(500);
	}
	return 0;
}
